import { renderless, api } from '@opentinyvue/vue-renderless/radio/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import '@opentinyvue/vue-theme/radio/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["change", "update:modelValue"],
  props: [].concat(props, ["modelValue", "events", "label", "text", "disabled", "name", "border", "size", "tabindex", "displayOnly"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return !_vm.state.isDisplayOnly || _vm.state.model === _vm.label ? _c("label", _vm._b({
    staticClass: "tiny-radio",
    class: [_vm.border && _vm.state.radioSize ? "tiny-radio--" + _vm.state.radioSize : "", {
      "is-disabled": _vm.state.isDisabled
    }, {
      "is-focus": _vm.state.focus
    }, {
      "is-bordered": _vm.border
    }, {
      "is-checked": _vm.state.model === _vm.label
    }, {
      "is-display-only": _vm.state.isDisplayOnly
    }],
    attrs: {
      "role": "radio",
      "aria-checked": _vm.state.model === _vm.label,
      "aria-disabled": _vm.state.isDisabled,
      "tabindex": "-1"
    },
    on: {
      "keydown": function keydown($event) {
        if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "space", 32, $event.key, [" ", "Spacebar"])) return null;
        $event.stopPropagation();
        $event.preventDefault();
        _vm.state.model = _vm.state.isDisabled ? _vm.state.model : _vm.label;
      }
    }
  }, "label", _vm.a(_vm.$attrs, ["class", "style"], true), false), [_c("span", {
    staticClass: "tiny-radio__input",
    class: {
      "is-disabled": _vm.state.isDisabled,
      "is-checked": _vm.state.model === _vm.label
    }
  }, [_c("span", {
    staticClass: "tiny-radio__inner",
    attrs: {
      "tabindex": _vm.tabindex
    }
  }), _c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.model,
      expression: "state.model"
    }],
    ref: "radio",
    staticClass: "tiny-radio__original",
    attrs: {
      "type": "radio",
      "name": _vm.name,
      "disabled": _vm.state.isDisabled
    },
    domProps: {
      "value": _vm.label,
      "checked": _vm._q(_vm.state.model, _vm.label)
    },
    on: {
      "focus": function focus($event) {
        _vm.state.focus = true;
      },
      "blur": function blur($event) {
        _vm.state.focus = false;
      },
      "change": [function($event) {
        return _vm.$set(_vm.state, "model", _vm.label);
      }, _vm.handleChange],
      "click": function click($event) {
        $event.stopPropagation();
      }
    }
  })]), _c("span", {
    staticClass: "tiny-radio__label",
    on: {
      "keydown": function keydown($event) {
        $event.stopPropagation();
      }
    }
  }, [_vm._t("default", function() {
    return [_vm._v(_vm._s(_vm.text || _vm.label))];
  })], 2)]) : _vm._e();
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
